Bug 520300 - kernel: ipv4: make ip_append_data() handle NULL routing table [rhel-3]
Summary: kernel: ipv4: make ip_append_data() handle NULL routing table [rhel-3]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.9
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Don Howard
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On: 520297
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-30 11:24 UTC by Eugene Teo (Security Response)
Modified: 2009-11-03 22:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 520297
Environment:
Last Closed: 2009-11-03 22:00:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1550 normal SHIPPED_LIVE Important: kernel security and bug fix update 2009-11-03 21:59:47 UTC

Description Eugene Teo (Security Response) 2009-08-30 11:24:11 UTC
+++ This bug was initially created as a clone of Bug #520297 +++

Description of problem:
Add a check in ip_append_data() for NULL *rtp to prevent future bugs in callers from being exploitable.

http://git.kernel.org/linus/788d908f2879a17e5f80924f3da2e23f1034482d

Comment 3 Don Howard 2009-10-16 18:50:07 UTC
A patch for this issue has been included in build 2.4.21-61.EL.

Comment 7 errata-xmlrpc 2009-11-03 22:00:55 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1550.html


Note You need to log in before you can comment on or make changes to this bug.